AWS
probe EMR

# describe_instance_group

Describe a single EMR instance group

Run it now
View details

Type | probe
Module | chaosaws.emr.probes
Name | describe_instance_group
Return | mapping

Usage

JSON

    {
      "name": "describe-instance-group",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.emr.probes",
        "func": "describe_instance_group",
        "arguments": {
          "cluster_id": "",
          "group_id": ""
        }
      }
    }

YAML

    name: describe-instance-group
    provider:
      arguments:
        cluster_id: ""
        group_id: ""
      func: describe_instance_group
      module: chaosaws.emr.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
cluster_id | string |  | Yes | Cluster ID |
group_id | string |  | Yes | Group ID |

Signature

    def describe_instance_group(
            cluster_id: str,
            group_id: str,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  probe EMR

  ## `list_cluster_group_instances`

  Get a list of instance group instances associated to the EMR cluster
- AWS
  probe EMR

  ## `list_cluster_fleet_instances`

  Get a list of instance fleet instances associated with the EMR cluster
- AWS
  action EMR

  ## `modify_instance_fleet`

  Modify the on-demand and spot capacities for an instance fleet